2017-09-25 18:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004161Kali Linux[All Projects] Kali Package Bugpublic2017-09-10 11:29
Reporteraxldmg 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.2 
Summary0004161: Kali crases and freezes after installing realtek-rtl88xxau-dkms
DescriptionAfter doing:

"apt-get update
 apt install realtek-rtl88xxau-dkms
 reboot"

Kali just completely freezes shortly after plugging Alfa AWUS036ACH (once connected to an AP, as soon as a browser or any software connecting to the Internet is stated, or as soon as airmon-ng suite is used, or any other application that will interact with the network adapter)
Steps To Reproduceapt-get update
apt install realtek-rtl88xxau-dkms
reboot


then plug Alfa AWUS036ACH, connect to a Wifi AP, open the browser (or mail app, or fire-up airmon-ng)... and crash.
Additional InformationI have a Mac (see enclosed screen capture for specs).
Kali runs as a VM on VMWare Fusion hypervisor with 4GB RAM allocated.
I never had, and still never have, any problems when using my good old Alfa AWUS036NHA (for both connecting and using airmon-ng suite features)
Of course, the Network Adapter provided by my Mac through VMWare is disabled at all times.
Attached Files
  • png file icon Screen Shot 2017-08-18 at 16.44.58.png (231,158 bytes) 2017-08-18 14:53 -
    png file icon Screen Shot 2017-08-18 at 16.44.58.png (231,158 bytes) 2017-08-18 14:53 +
  • png file icon Screen Shot 2017-08-24 at 14.46.53.png (344,293 bytes) 2017-08-24 13:00
  • gz file icon realtek_make_log.txt.gz (2,015 bytes) 2017-08-24 13:04
  • pdf file icon realtek_make_log.pdf (22,782 bytes) 2017-08-24 13:09
  • png file icon Github rtl8812au make fail.png (1,354,555 bytes) 2017-08-24 13:46
  • ? file icon daemonlog (3,332 bytes) 2017-08-25 12:53 -
    Aug 24 18:48:23 kaliwork systemd[1]: wpa_supplicant.service: Failed with result 'signal'.
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Network Manager...
    Aug 24 18:52:19 kaliwork systemd[1]: Started Network Manager.
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Network Manager Script Dispatcher Service...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
    Aug 24 18:52:19 kaliwork systemd[1]: Started Network Manager Script Dispatcher Service.
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Hostname Service...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.hostname1'
    Aug 24 18:52:19 kaliwork systemd[1]: Started Hostname Service.
    Aug 24 18:52:19 kaliwork nm-dispatcher: req:1 'hostname': new request (2 scripts)
    Aug 24 18:52:19 kaliwork nm-dispatcher: req:1 'hostname': start running ordered scripts...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='fi.w1.wpa_supplicant1' unit='wpa_supplicant.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting WPA supplicant...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'fi.w1.wpa_supplicant1'
    Aug 24 18:52:19 kaliwork systemd[1]: Started WPA supplicant.
    Aug 24 18:52:19 kaliwork wpa_supplicant[4095]: Successfully initialized wpa_supplicant
    Aug 24 18:52:24 kaliwork wpa_supplicant[4095]: wlan0: Trying to associate with xx:xx:xx:xx:xx:xx (SSID='Somewhere_5G' freq=5540 MHz)
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: Associated with xx:xx:xx:xx:xx:xx
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: WPA: Key negotiation completed with xx:xx:xx:xx:xx:xx [PTK=CCMP GTK=CCMP]
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: CTRL-EVENT-CONNECTED - Connection to xx:xx:xx:xx:xx:xx completed [id=0 id_str=]
    Aug 24 18:52:30 kaliwork dhclient[4097]: DHCPREQUEST of 192.168.1.17 on wlan0 to 255.255.255.255 port 67
    Aug 24 18:52:30 kaliwork dhclient[4097]: DHCPACK of 192.168.1.17 from 192.168.1.1
    Aug 24 18:52:30 kaliwork dhclient[4097]: bound to 192.168.1.17 -- renewal in 34198 seconds.
    Aug 24 18:52:30 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
    Aug 24 18:52:30 kaliwork systemd[1]: Starting Network Manager Script Dispatcher Service...
    Aug 24 18:52:30 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
    Aug 24 18:52:30 kaliwork systemd[1]: Started Network Manager Script Dispatcher Service.
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:1 'up' [wlan0]: new request (2 scripts)
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:1 'up' [wlan0]: start running ordered scripts...
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:2 'connectivity-change': new request (2 scripts)
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:2 'connectivity-change': start running ordered scripts...
    Aug 24 21:51:00 kaliwork systemd[1]: Started Apply Kernel Variables.
    
    ? file icon daemonlog (3,332 bytes) 2017-08-25 12:53 +
  • ? file icon debuglog (304 bytes) 2017-08-25 12:53 -
    Aug 24 17:56:41 kaliwork kernel: [   68.907760] ath: Country alpha2 being used: GB
    Aug 24 17:56:41 kaliwork kernel: [   68.907760] ath: Regpair used: 0x37
    Aug 24 21:51:00 kaliwork rtkit-daemon[489]: Successfully called chroot.
    Aug 24 21:51:00 kaliwork rtkit-daemon[489]: Successfully dropped privileges.
    
    ? file icon debuglog (304 bytes) 2017-08-25 12:53 +
  • ? file icon kernlog (1,355 bytes) 2017-08-25 12:54 -
    Aug 24 18:48:28 kaliwork kernel: [ 3175.692255] device wlan0 entered promiscuous mode
    Aug 24 18:52:19 kaliwork kernel: [ 3407.042275] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
    Aug 24 18:52:24 kaliwork kernel: [ 3412.468005] RTL871X: rtw_set_802_11_connect(wlan0)  fw_state=0x00000008
    Aug 24 18:52:30 kaliwork kernel: [ 3417.568514] RTL871X: start auth
    Aug 24 18:52:30 kaliwork kernel: [ 3417.571255] RTL871X: auth success, start assoc
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575487] RTL871X: rtw_cfg80211_indicate_connect(wlan0) BSS not found !!
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575495] RTL871X: assoc success
    Aug 24 18:52:30 kaliwork kernel: [ 3417.668964] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.669482] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.688977] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.689394] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.692211] RTL871X: set pairwise key camid:4, addr:xx:xx:xx:xx:xx:xx, kid:0, type:AES
    Aug 24 18:52:30 kaliwork kernel: [ 3417.703297] RTL871X: set group key camid:5, addr:xx:xx:xx:xx:xx:xx, kid:1, type:AES
    Aug 24 21:51:00 kaliwork kernel: [    0.000000] Linux version 4.12.0-kali1-amd64 (devel@kali.org) (gcc version 6.4.0 20170805 (Debian 6.4.0-3) ) #1 SMP Debian 4.12.6-1kali1 (2017-08-18)
    
    ? file icon kernlog (1,355 bytes) 2017-08-25 12:54 +
  • ? file icon messages (16,965 bytes) 2017-08-25 12:55 -
    Aug 24 18:48:28 kaliwork kernel: [ 3175.692255] device wlan0 entered promiscuous mode
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3817] NetworkManager (version 1.8.2) is starting... (after a restart)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3821] Read config: /etc/NetworkManager/NetworkManager.conf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3864] manager[0x55f565c89090]: monitoring kernel firmware directory '/lib/firmware'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3867] monitoring ifupdown state file '/run/network/ifstate'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3872] policy: hostname management mode: default
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3874] dns-mgr[0x55f565c9a970]: init: dns=default, rc-manager=resolvconf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3880] rfkill2: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/ieee80211/phy1/rfkill2) (driver 8812au)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3883] manager[0x55f565c89090]: rfkill: WiFi hardware radio set enabled
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3918] manager[0x55f565c89090]: rfkill: WWAN hardware radio set enabled
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4118] init!
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4121]       interface-parser: parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4123]       interface-parser: source line includes interfaces file(s) /etc/network/interfaces.d/*
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <warn>  [1503593539.4124] interfaces file /etc/network/interfaces.d/* doesn't exist
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4126]       interface-parser: finished parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4127] management mode: unmanaged
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4131] devices added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4143] device added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4145] devices added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4147] device added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4148] devices added (path: /sys/devices/virtual/net/lo, iface: lo)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4149] device added (path: /sys/devices/virtual/net/lo, iface: lo): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4151] end _init.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4152] settings: loaded plugin ifupdown: (C) 2008 Canonical Ltd.  To report bugs please use the NetworkManager mailing list. (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-settings-plugin-ifupdown.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4154] settings: loaded plugin keyfile: (c) 2007 - 2016 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4155] (1707794432) ... get_connections.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4157] (1707794432) ... get_connections (managed=false): return empty list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4280] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_5G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Somewhere_5G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4347] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_2.4G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Somewhere_2.4G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4432] keyfile: new connection /etc/NetworkManager/system-connections/Wired connection 1 (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Wired connection 1")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4445] get unmanaged devices count: 0
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4616] settings: hostname: using hostnamed
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4618] settings: hostname changed from (none) to "kaliwork"
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4621] dhcp-init: Using DHCP client 'dhclient'
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4631] manager: rfkill: WiFi enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4633] manager: rfkill: WWAN enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4634] manager: Networking is enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4636] Loaded device plugin: NMBondDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4637] Loaded device plugin: NMBridgeDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4639] Loaded device plugin: NMDummyDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4640] Loaded device plugin: NMEthernetDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4642] Loaded device plugin: NMInfinibandDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4643] Loaded device plugin: NMIPTunnelDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4645] Loaded device plugin: NMMacsecDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4646] Loaded device plugin: NMMacvlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4647] Loaded device plugin: NMTunDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4649] Loaded device plugin: NMVethDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4650] Loaded device plugin: NMVlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4651] Loaded device plugin: NMVxlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4656] Loaded device plugin: NMAtmManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-adsl.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4669] Loaded device plugin: NMBluezManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-bluetooth.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4673] Loaded device plugin: NMWifiFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wifi.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4676] Loaded device plugin: NMWwanFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wwan.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4684] Loaded device plugin: NMTeamFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-team.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4691] device (lo): link connected
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4699] manager: (lo): new Generic device (/org/freedesktop/NetworkManager/Devices/1)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4735] manager: (eth0): new Ethernet device (/org/freedesktop/NetworkManager/Devices/2)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4759] device (eth0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork kernel: [ 3407.042275] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4804] wifi-nl80211: (wlan0): using nl80211 for WiFi device control
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4807] device (wlan0): driver supports Access Point (AP) mode
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4816] manager: (wlan0): new 802.11 WiFi device (/org/freedesktop/NetworkManager/Devices/3)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4838] device (wlan0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4897] device (wlan0): set-hw-addr: set MAC address to xx:xx:xx:xx:xx:xx (scanning)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5458] ModemManager available in the bus
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5845] supplicant: wpa_supplicant running
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5848] device (wlan0): supplicant interface state: init -> starting
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5911] sup-iface[0x55f565d0f220,wlan0]: supports 5 scan SSIDs
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5919] device (wlan0): supplicant interface state: starting -> ready
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.6007] device (wlan0): state change: unavailable -> disconnected (reason 'supplicant-available', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5272] device (wlan0): supplicant interface state: ready -> inactive
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5393] policy: auto-activating connection 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5575] device (wlan0): Activation: starting connection 'Somewhere_5G' (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5603] device (wlan0): state change: disconnected -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5630] manager: NetworkManager state is now CONNECTING
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7412] device (wlan0): set-hw-addr: reset MAC address to xx:xx:xx:xx:xx:xx (preserve)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7764] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7780] device (wlan0): Activation: (wifi) access point 'Somewhere_5G' has security, but secrets are required.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7797] device (wlan0): state change: config -> need-auth (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8516] device (wlan0): state change: need-auth -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8749] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8773] device (wlan0): Activation: (wifi) connection 'Somewhere_5G' has security, and secrets exist.  No new secrets needed.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8775] Config: added 'ssid' value 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8777] Config: added 'scan_ssid' value '1'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8778] Config: added 'key_mgmt' value 'WPA-PSK'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8779] Config: added 'auth_alg' value 'OPEN'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8781] Config: added 'psk' value '<hidden>'
    Aug 24 18:52:24 kaliwork kernel: [ 3412.468005] RTL871X: rtw_set_802_11_connect(wlan0)  fw_state=0x00000008
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.9060] device (wlan0): supplicant interface state: inactive -> associating
    Aug 24 18:52:30 kaliwork kernel: [ 3417.568514] RTL871X: start auth
    Aug 24 18:52:30 kaliwork kernel: [ 3417.571255] RTL871X: auth success, start assoc
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575487] RTL871X: rtw_cfg80211_indicate_connect(wlan0) BSS not found !!
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575495] RTL871X: assoc success
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.0148] device (wlan0): supplicant interface state: associating -> associated
    Aug 24 18:52:30 kaliwork kernel: [ 3417.668964] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.669482] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1094] device (wlan0): supplicant interface state: associated -> 4-way handshake
    Aug 24 18:52:30 kaliwork kernel: [ 3417.688977] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.689394] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.692211] RTL871X: set pairwise key camid:4, addr:xx:xx:xx:xx:xx:xx, kid:0, type:AES
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1286] device (wlan0): supplicant interface state: 4-way handshake -> completed
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): Activation: (wifi) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'Somewhere_5G'.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): state change: config -> ip-config (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1318] dhcp4 (wlan0): activation: beginning transaction (timeout in 45 seconds)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1330] dhcp4 (wlan0): dhclient started with pid 4097
    Aug 24 18:52:30 kaliwork kernel: [ 3417.703297] RTL871X: set group key camid:5, addr:xx:xx:xx:xx:xx:xx, kid:1, type:AES
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1976] dhcp4 (wlan0):   address 192.168.1.17
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1980] dhcp4 (wlan0):   plen 24 (255.255.255.0)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1982] dhcp4 (wlan0):   gateway 192.168.1.1
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1984] dhcp4 (wlan0):   lease time 86400
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1985] dhcp4 (wlan0):   nameserver '192.168.1.1'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1987] dhcp4 (wlan0):   domain name 'home'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1989] dhcp4 (wlan0): state changed unknown -> bound
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2038] device (wlan0): state change: ip-config -> ip-check (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2072] device (wlan0): state change: ip-check -> secondaries (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2352] device (wlan0): state change: secondaries -> activated (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2376] manager: NetworkManager state is now CONNECTED_LOCAL
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2416] manager: NetworkManager state is now CONNECTED_SITE
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2430] policy: set 'Somewhere_5G' (wlan0) as default for IPv4 routing and DNS
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2435] device (wlan0): Activation: successful, device activated.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2484] manager: startup complete
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2917] manager: NetworkManager state is now CONNECTED_GLOBAL
    Aug 24 21:51:00 kaliwork mtp-probe: checking bus 1, device 2: "/sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb1/1-1"
    
    ? file icon messages (16,965 bytes) 2017-08-25 12:55 +
  • ? file icon syslog (20,129 bytes) 2017-08-25 12:56 -
    SomewhereAug 24 18:48:28 kaliwork kernel: [ 3175.692255] device wlan0 entered promiscuous mode
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Network Manager...
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3817] NetworkManager (version 1.8.2) is starting... (after a restart)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3821] Read config: /etc/NetworkManager/NetworkManager.conf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3864] manager[0x55f565c89090]: monitoring kernel firmware directory '/lib/firmware'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3867] monitoring ifupdown state file '/run/network/ifstate'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3872] policy: hostname management mode: default
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3874] dns-mgr[0x55f565c9a970]: init: dns=default, rc-manager=resolvconf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3880] rfkill2: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/ieee80211/phy1/rfkill2) (driver 8812au)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3883] manager[0x55f565c89090]: rfkill: WiFi hardware radio set enabled
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3918] manager[0x55f565c89090]: rfkill: WWAN hardware radio set enabled
    Aug 24 18:52:19 kaliwork systemd[1]: Started Network Manager.
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Network Manager Script Dispatcher Service...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
    Aug 24 18:52:19 kaliwork systemd[1]: Started Network Manager Script Dispatcher Service.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4118] init!
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4121]       interface-parser: parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4123]       interface-parser: source line includes interfaces file(s) /etc/network/interfaces.d/*
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <warn>  [1503593539.4124] interfaces file /etc/network/interfaces.d/* doesn't exist
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4126]       interface-parser: finished parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4127] management mode: unmanaged
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4131] devices added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4143] device added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4145] devices added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4147] device added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4148] devices added (path: /sys/devices/virtual/net/lo, iface: lo)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4149] device added (path: /sys/devices/virtual/net/lo, iface: lo): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4151] end _init.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4152] settings: loaded plugin ifupdown: (C) 2008 Canonical Ltd.  To report bugs please use the NetworkManager mailing list. (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-settings-plugin-ifupdown.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4154] settings: loaded plugin keyfile: (c) 2007 - 2016 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4155] (1707794432) ... get_connections.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4157] (1707794432) ... get_connections (managed=false): return empty list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4280] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_5G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxSomewhere,"Somewhere_5G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4347] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_2.4G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxSomewhere,"Somewhere_2.4G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4432] keyfile: new connection /etc/NetworkManager/system-connections/Wired connection 1 (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Wired connection 1")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4445] get unmanaged devices count: 0
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting Hostname Service...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.hostname1'
    Aug 24 18:52:19 kaliwork systemd[1]: Started Hostname Service.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4616] settings: hostname: using hostnamed
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4618] settings: hostname changed from (none) to "kaliwork"
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4621] dhcp-init: Using DHCP client 'dhclient'
    Aug 24 18:52:19 kaliwork nm-dispatcher: req:1 'hostname': new request (2 scripts)
    Aug 24 18:52:19 kaliwork nm-dispatcher: req:1 'hostname': start running ordered scripts...
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4631] manager: rfkill: WiFi enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4633] manager: rfkill: WWAN enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4634] manager: Networking is enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4636] Loaded device plugin: NMBondDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4637] Loaded device plugin: NMBridgeDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4639] Loaded device plugin: NMDummyDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4640] Loaded device plugin: NMEthernetDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4642] Loaded device plugin: NMInfinibandDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4643] Loaded device plugin: NMIPTunnelDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4645] Loaded device plugin: NMMacsecDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4646] Loaded device plugin: NMMacvlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4647] Loaded device plugin: NMTunDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4649] Loaded device plugin: NMVethDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4650] Loaded device plugin: NMVlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4651] Loaded device plugin: NMVxlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4656] Loaded device plugin: NMAtmManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-adsl.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4669] Loaded device plugin: NMBluezManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-bluetooth.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4673] Loaded device plugin: NMWifiFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wifi.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4676] Loaded device plugin: NMWwanFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wwan.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4684] Loaded device plugin: NMTeamFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-team.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4691] device (lo): link connected
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4699] manager: (lo): new Generic device (/org/freedesktop/NetworkManager/Devices/1)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4735] manager: (eth0): new Ethernet device (/org/freedesktop/NetworkManager/Devices/2)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4759] device (eth0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork kernel: [ 3407.042275] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4804] wifi-nl80211: (wlan0): using nl80211 for WiFi device control
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4807] device (wlan0): driver supports Access Point (AP) mode
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4816] manager: (wlan0): new 802.11 WiFi device (/org/freedesktop/NetworkManager/Devices/3)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4838] device (wlan0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4897] device (wlan0): set-hw-addr: set MAC address to xx:xx:xx:xx:xx:xx (scanning)
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Activating via systemd: service name='fi.w1.wpa_supplicant1' unit='wpa_supplicant.service'
    Aug 24 18:52:19 kaliwork systemd[1]: Starting WPA supplicant...
    Aug 24 18:52:19 kaliwork dbus[406]: [system] Successfully activated service 'fi.w1.wpa_supplicant1'
    Aug 24 18:52:19 kaliwork systemd[1]: Started WPA supplicant.
    Aug 24 18:52:19 kaliwork wpa_supplicant[4095]: Successfully initialized wpa_supplicant
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5458] ModemManager available in the bus
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5845] supplicant: wpa_supplicant running
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5848] device (wlan0): supplicant interface state: init -> starting
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5911] sup-iface[0x55f565d0f220,wlan0]: supports 5 scan SSIDs
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5919] device (wlan0): supplicant interface state: starting -> ready
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.6007] device (wlan0): state change: unavailable -> disconnected (reason 'supplicant-available', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5272] device (wlan0): supplicant interface state: ready -> inactive
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5393] policy: auto-activating connection 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5575] device (wlan0): Activation: starting connection 'Somewhere_5G' (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxSomewhere)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5603] device (wlan0): state change: disconnected -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5630] manager: NetworkManager state is now CONNECTING
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7412] device (wlan0): set-hw-addr: reset MAC address to xx:xx:xx:xx:xx:xx (preserve)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7764] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7780] device (wlan0): Activation: (wifi) access point 'Somewhere_5G' has security, but secrets are required.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7797] device (wlan0): state change: config -> need-auth (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8516] device (wlan0): state change: need-auth -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8749] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8773] device (wlan0): Activation: (wifi) connection 'Somewhere_5G' has security, and secrets exist.  No new secrets needed.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8775] Config: added 'ssid' value 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8777] Config: added 'scan_ssid' value '1'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8778] Config: added 'key_mgmt' value 'WPA-PSK'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8779] Config: added 'auth_alg' value 'OPEN'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8781] Config: added 'psk' value '<hidden>'
    Aug 24 18:52:24 kaliwork wpa_supplicant[4095]: wlan0: Trying to associate with xx:xx:xx:xx:xx:xxSomewhere (SSID='Somewhere_5G' freq=5540 MHz)
    Aug 24 18:52:24 kaliwork kernel: [ 3412.468005] RTL871X: rtw_set_802_11_connect(wlan0)  fw_state=0x00000008
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.9060] device (wlan0): supplicant interface state: inactive -> associating
    Aug 24 18:52:30 kaliwork kernel: [ 3417.568514] RTL871X: start auth
    Aug 24 18:52:30 kaliwork kernel: [ 3417.571255] RTL871X: auth success, start assoc
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: Associated with xx:xx:xx:xx:xx:xx
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575487] RTL871X: rtw_cfg80211_indicate_connect(wlan0) BSS not found !!
    Aug 24 18:52:30 kaliwork kernel: [ 3417.575495] RTL871X: assoc success
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.0148] device (wlan0): supplicant interface state: associating -> associated
    Aug 24 18:52:30 kaliwork kernel: [ 3417.668964] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.669482] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1094] device (wlan0): supplicant interface state: associated -> 4-way handshake
    Aug 24 18:52:30 kaliwork kernel: [ 3417.688977] RTL871X: recv eapol packet
    Aug 24 18:52:30 kaliwork kernel: [ 3417.689394] RTL871X: send eapol packet
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: WPA: Key negotiation completed with xx:xx:xx:xx:xx:xx [PTK=CCMP GTK=CCMP]
    Aug 24 18:52:30 kaliwork wpa_supplicant[4095]: wlan0: CTRL-EVENT-CONNECTED - Connection to xx:xx:xx:xx:xx:xx completed [id=0 id_str=]
    Aug 24 18:52:30 kaliwork kernel: [ 3417.692211] RTL871X: set pairwise key camid:4, addr:xx:xx:xx:xx:xx:xx, kid:0, type:AES
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1286] device (wlan0): supplicant interface state: 4-way handshake -> completed
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): Activation: (wifi) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'Somewhere_5G'.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): state change: config -> ip-config (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1318] dhcp4 (wlan0): activation: beginning transaction (timeout in 45 seconds)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1330] dhcp4 (wlan0): dhclient started with pid 4097
    Aug 24 18:52:30 kaliwork kernel: [ 3417.703297] RTL871X: set group key camid:5, addr:xx:xx:xx:xx:xx:xx, kid:1, type:AES
    Aug 24 18:52:30 kaliwork dhclient[4097]: DHCPREQUEST of 192.168.1.17 on wlan0 to 255.255.255.255 port 67
    Aug 24 18:52:30 kaliwork dhclient[4097]: DHCPACK of 192.168.1.17 from 192.168.1.1
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1976] dhcp4 (wlan0):   address 192.168.1.17
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1980] dhcp4 (wlan0):   plen 24 (255.255.255.0)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1982] dhcp4 (wlan0):   gateway 192.168.1.1
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1984] dhcp4 (wlan0):   lease time 86400
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1985] dhcp4 (wlan0):   nameserver '192.168.1.1'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1987] dhcp4 (wlan0):   domain name 'home'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1989] dhcp4 (wlan0): state changed unknown -> bound
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2038] device (wlan0): state change: ip-config -> ip-check (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2072] device (wlan0): state change: ip-check -> secondaries (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork dhclient[4097]: bound to 192.168.1.17 -- renewal in 34198 seconds.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2352] device (wlan0): state change: secondaries -> activated (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2376] manager: NetworkManager state is now CONNECTED_LOCAL
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2416] manager: NetworkManager state is now CONNECTED_SITE
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2430] policy: set 'Somewhere_5G' (wlan0) as default for IPv4 routing and DNS
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2435] device (wlan0): Activation: successful, device activated.
    Aug 24 18:52:30 kaliwork dbus[406]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
    Aug 24 18:52:30 kaliwork systemd[1]: Starting Network Manager Script Dispatcher Service...
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2484] manager: startup complete
    Aug 24 18:52:30 kaliwork dbus[406]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
    Aug 24 18:52:30 kaliwork systemd[1]: Started Network Manager Script Dispatcher Service.
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:1 'up' [wlan0]: new request (2 scripts)
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:1 'up' [wlan0]: start running ordered scripts...
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2917] manager: NetworkManager state is now CONNECTED_GLOBAL
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:2 'connectivity-change': new request (2 scripts)
    Aug 24 18:52:30 kaliwork nm-dispatcher: req:2 'connectivity-change': start running ordered scripts...
    Aug 24 21:51:00 kaliwork systemd[1]: Started Apply Kernel Variables.
    
    ? file icon syslog (20,129 bytes) 2017-08-25 12:56 +
  • ? file icon userlog (15,968 bytes) 2017-08-25 12:57 -
    Aug 24 18:48:23 kaliwork gnome-shell[792]: JS LOG: Removing a network device that was not added
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3817] NetworkManager (version 1.8.2) is starting... (after a restart)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3821] Read config: /etc/NetworkManager/NetworkManager.conf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3864] manager[0x55f565c89090]: monitoring kernel firmware directory '/lib/firmware'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3867] monitoring ifupdown state file '/run/network/ifstate'.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3872] policy: hostname management mode: default
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3874] dns-mgr[0x55f565c9a970]: init: dns=default, rc-manager=resolvconf
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3880] rfkill2: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/ieee80211/phy1/rfkill2) (driver 8812au)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3883] manager[0x55f565c89090]: rfkill: WiFi hardware radio set enabled
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.3918] manager[0x55f565c89090]: rfkill: WWAN hardware radio set enabled
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4118] init!
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4121]       interface-parser: parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4123]       interface-parser: source line includes interfaces file(s) /etc/network/interfaces.d/*
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <warn>  [1503593539.4124] interfaces file /etc/network/interfaces.d/* doesn't exist
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4126]       interface-parser: finished parsing file /etc/network/interfaces
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4127] management mode: unmanaged
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4131] devices added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4143] device added (path: /sys/devices/pci0000:00/0000:00:11.0/0000:02:01.0/net/eth0, iface: eth0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4145] devices added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4147] device added (path: /sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb2/2-1/2-1:1.0/net/wlan0, iface: wlan0): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4148] devices added (path: /sys/devices/virtual/net/lo, iface: lo)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4149] device added (path: /sys/devices/virtual/net/lo, iface: lo): no ifupdown configuration found.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4151] end _init.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4152] settings: loaded plugin ifupdown: (C) 2008 Canonical Ltd.  To report bugs please use the NetworkManager mailing list. (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-settings-plugin-ifupdown.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4154] settings: loaded plugin keyfile: (c) 2007 - 2016 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4155] (1707794432) ... get_connections.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4157] (1707794432) ... get_connections (managed=false): return empty list.
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4280] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_5G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Somewhere_5G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4347] keyfile: new connection /etc/NetworkManager/system-connections/Somewhere_2.4G (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Somewhere_2.4G")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4432] keyfile: new connection /etc/NetworkManager/system-connections/Wired connection 1 (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,"Wired connection 1")
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4445] get unmanaged devices count: 0
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4616] settings: hostname: using hostnamed
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4618] settings: hostname changed from (none) to "kaliwork"
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4621] dhcp-init: Using DHCP client 'dhclient'
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4631] manager: rfkill: WiFi enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4633] manager: rfkill: WWAN enabled by radio killswitch; enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4634] manager: Networking is enabled by state file
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4636] Loaded device plugin: NMBondDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4637] Loaded device plugin: NMBridgeDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4639] Loaded device plugin: NMDummyDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4640] Loaded device plugin: NMEthernetDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4642] Loaded device plugin: NMInfinibandDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4643] Loaded device plugin: NMIPTunnelDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4645] Loaded device plugin: NMMacsecDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4646] Loaded device plugin: NMMacvlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4647] Loaded device plugin: NMTunDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4649] Loaded device plugin: NMVethDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4650] Loaded device plugin: NMVlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4651] Loaded device plugin: NMVxlanDeviceFactory (internal)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4656] Loaded device plugin: NMAtmManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-adsl.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4669] Loaded device plugin: NMBluezManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-bluetooth.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4673] Loaded device plugin: NMWifiFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wifi.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4676] Loaded device plugin: NMWwanFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-wwan.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4684] Loaded device plugin: NMTeamFactory (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-team.so)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4691] device (lo): link connected
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4699] manager: (lo): new Generic device (/org/freedesktop/NetworkManager/Devices/1)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4735] manager: (eth0): new Ethernet device (/org/freedesktop/NetworkManager/Devices/2)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4759] device (eth0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4804] wifi-nl80211: (wlan0): using nl80211 for WiFi device control
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4807] device (wlan0): driver supports Access Point (AP) mode
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4816] manager: (wlan0): new 802.11 WiFi device (/org/freedesktop/NetworkManager/Devices/3)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4838] device (wlan0): state change: unmanaged -> unavailable (reason 'managed', internal state 'external')
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.4897] device (wlan0): set-hw-addr: set MAC address to xx:xx:xx:xx:xx:xx (scanning)
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5458] ModemManager available in the bus
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5845] supplicant: wpa_supplicant running
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5848] device (wlan0): supplicant interface state: init -> starting
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5911] sup-iface[0x55f565d0f220,wlan0]: supports 5 scan SSIDs
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.5919] device (wlan0): supplicant interface state: starting -> ready
    Aug 24 18:52:19 kaliwork NetworkManager[4083]: <info>  [1503593539.6007] device (wlan0): state change: unavailable -> disconnected (reason 'supplicant-available', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5272] device (wlan0): supplicant interface state: ready -> inactive
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5393] policy: auto-activating connection 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5575] device (wlan0): Activation: starting connection 'Somewhere_5G' (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5603] device (wlan0): state change: disconnected -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.5630] manager: NetworkManager state is now CONNECTING
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7412] device (wlan0): set-hw-addr: reset MAC address to xx:xx:xx:xx:xx:xx (preserve)
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7764] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7780] device (wlan0): Activation: (wifi) access point 'Somewhere_5G' has security, but secrets are required.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.7797] device (wlan0): state change: config -> need-auth (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8516] device (wlan0): state change: need-auth -> prepare (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8749] device (wlan0): state change: prepare -> config (reason 'none', internal state 'managed')
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8773] device (wlan0): Activation: (wifi) connection 'Somewhere_5G' has security, and secrets exist.  No new secrets needed.
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8775] Config: added 'ssid' value 'Somewhere_5G'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8777] Config: added 'scan_ssid' value '1'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8778] Config: added 'key_mgmt' value 'WPA-PSK'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8779] Config: added 'auth_alg' value 'OPEN'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.8781] Config: added 'psk' value '<hidden>'
    Aug 24 18:52:24 kaliwork NetworkManager[4083]: <info>  [1503593544.9060] device (wlan0): supplicant interface state: inactive -> associating
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.0148] device (wlan0): supplicant interface state: associating -> associated
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1094] device (wlan0): supplicant interface state: associated -> 4-way handshake
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1286] device (wlan0): supplicant interface state: 4-way handshake -> completed
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): Activation: (wifi) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'Somewhere_5G'.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1287] device (wlan0): state change: config -> ip-config (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1318] dhcp4 (wlan0): activation: beginning transaction (timeout in 45 seconds)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1330] dhcp4 (wlan0): dhclient started with pid 4097
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1976] dhcp4 (wlan0):   address 192.168.1.17
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1980] dhcp4 (wlan0):   plen 24 (255.255.255.0)
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1982] dhcp4 (wlan0):   gateway 192.168.1.1
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1984] dhcp4 (wlan0):   lease time 86400
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1985] dhcp4 (wlan0):   nameserver '192.168.1.1'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1987] dhcp4 (wlan0):   domain name 'home'
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.1989] dhcp4 (wlan0): state changed unknown -> bound
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2038] device (wlan0): state change: ip-config -> ip-check (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2072] device (wlan0): state change: ip-check -> secondaries (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2352] device (wlan0): state change: secondaries -> activated (reason 'none', internal state 'managed')
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2376] manager: NetworkManager state is now CONNECTED_LOCAL
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2416] manager: NetworkManager state is now CONNECTED_SITE
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2430] policy: set 'Somewhere_5G' (wlan0) as default for IPv4 routing and DNS
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2435] device (wlan0): Activation: successful, device activated.
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2484] manager: startup complete
    Aug 24 18:52:30 kaliwork NetworkManager[4083]: <info>  [1503593550.2917] manager: NetworkManager state is now CONNECTED_GLOBAL
    Aug 24 21:51:00 kaliwork mtp-probe: checking bus 1, device 2: "/sys/devices/pci0000:00/0000:00:15.0/0000:03:00.0/usb1/1-1"
    Aug 24 21:51:00 kaliwork mtp-probe: bus: 1, device: 2 was not an MTP device
    
    ? file icon userlog (15,968 bytes) 2017-08-25 12:57 +
  • jpg file icon rtl88xxau-dkms install.jpg (425,868 bytes) 2017-08-25 12:59
  • png file icon Bootscreen after crash.png (207,533 bytes) 2017-08-25 13:00 -
    png file icon Bootscreen after crash.png (207,533 bytes) 2017-08-25 13:00 +
  • png file icon cfg80211 load.png (1,107,282 bytes) 2017-08-25 13:00

-Relationships
has duplicate 0004079closedrhertzog Kali crashes after installing realtek-rtl88xxau-dkms 
+Relationships

-Notes

~0007087

axldmg (reporter)

So, I tried to install realtek-rtl88xxau-dkms and use Alfa AWUS036ACH on a fresh install of Kali 2017.1:
Same outcome!!

Also, I tried with a Kali VMWare image... Same outcome!!!!

At all times, once connected to an AP, Kali just freezes as soon as any application uses the adapter. Hard reboot always necessary and I find no information relative to the crash in the main /var/log/... files

~0007088

kimocoder (reporter)

The package is outdated, Kali repos need to change to https://github.com/aircrack-ng/rtl8812au due to kernel v4.11 support + several other patches.

~0007089

kimocoder (reporter)

kernel support for v4.12 added to the repo above.
now also building successfully on Kali's newly added v4.12 kernel.

please wait for an updated "realtek-rtl88xxau-dkms" package to be added.

~0007106

axldmg (reporter)

@kimocoder Thank you very much for coming back to me!!
First, I'm glad to know I haven't gone insane nor dumb (or maybe just not dumber at least :D).

I've seen in another thread cf 0003989 (where you are discussing the matter with @rhertzog that the "realtek-rtl88xxau-dkms" has just been updated, so I went for a try (after a full-upgrade, of course).

But with this package, the install just fails and no realtek.ko is added to the modules list (and the chipset is thus not even spotted when plugged).

The package install ends up with an ERROR warning (cf attached screen capture), prompting to the realtek make.log (comin'up)...

~0007107

axldmg (reporter)

and here is the make.log

~0007108

axldmg (reporter)

(Not related but is it normal behavior that I'm denied access by Securi WebSite Firewall when trying to send the realtek make.log as .txt?)

~0007109

kimocoder (reporter)

It fails building here too, it looks like the kernel support is still missing since the package has not been updated in repos yet, because it still says "4.3.21-20170330" give it some hours, or you could simply build it manually from repo above :)

~0007110

axldmg (reporter)

Yeah, well, it seems I'm having a bit of an issue when trying to build the modules from the Git repo mentioned above :(.
I get a "Makefile:1264: recipe for 'target' modules failed I'm attaching a screen capture for full details of the error message, called "Github rtl8812au make fail.png").

I'm siding a fresh install of Kali 2017.1 as we speak, for safe check... I'll let you know how it went...

~0007111

axldmg (reporter)

Not related: the weird tile around the terminal window, which had few threads about, is gone with v4.12 kernel update :)

~0007112

kimocoder (reporter)

The package update is now available in the repo now, try updating the realtek-rtl88xx-dkms package. It works again here:)

~0007113

kimocoder (reporter)

This issue report may now be closed as the issue is fixed in the update. Thanks

~0007115

axldmg (reporter)

Well, I would be tempted to say, not so fast! :D
So, indeed the package is updated to realtek-rtl88xxau-dkms 4.3.21_20170824-0kali1, installing the 8812au.ko module goes smoothly.
But I'm back to square 1 somehow:
- A bit of improvement: now I can indeed take my chipset to monitor mode, that's fine.
- But still, when back to regular managed mode, then connecting to my AP, as soon as I start firefox or thindermail: immediate crash, everything freeze and I have to hard reboot :(
I have taken a few screenshots of each mode (and confirming I'm back on managed mode when using it as a simple adapter), wth a bit of info on the modules 8812au and cfg80211...
Also, I've been browsing again the main logs (syslog, user.log, kern.log) and I can't find anything related to the crash (at least, nothing appear with my level of understanding)

~0007116

kimocoder (reporter)

Ok. I cant test this myself as Im in holiday until next monday still, but just leave this report for others to see/comment & I will test it myself when I'm home to my own adapter. Thanks for the information given anyway

~0007117

axldmg (reporter)

I will do that (sort, arrange and post here the reports & docs that might be interesting to look at)

Man, you're brilliant. Really, thank you so much for your help.

Enjoy your holidays!!!!!! We'll get back to it when you're tan enough :D

~0007141

axldmg (reporter)

@kimocoder @rhertzog, to follow up this thread, I am posting more detailed info.

To summarize: after installing the realtek-rtl-88xxau-dkms package, Kali ends up crashing (no exception), either:

- Instantly if the adapter is connected to an AP and, let's say a browser, is launched (or any other app generating traffic to the Internet): firefox don't even have the time to parse and display all the html/css code and the crash occurs before getting the full page displayed.

- Somehow after a several minutes if using the adapter otherwise: So, to gather more data, I chose this way of crashing Kali with Alfa AWUS036ACH and reproduced this incident by going into monitor mode and back to managed mode and connecting to my usual AP, disconnecting and returning to monitor mode, back and forth 2 or 3 times, before it did crash. (ip link set wlan0 down, iwconfig wlan0 mode monitor, ip link set wlan0 up, airodump-ng wlan0, ip link set wlan0 down, iwconfig wlan0 mode managed, ip link set wlan0 up, <connecting to AP>, <disconnecting from AP>, ip link set wlan0 down... and so forth...). Some other times I tried with using airman-ng check kill and/or stopping/starting/restarting network-manager at the relevant moments, with systemctl, but it does not change the outcome at all.

- Eventually within an hour, even if not plugging the Alfa adapter at all (actually, the only way not to end up crashing at some point has been for me te revert to the snapshot made right before installing the realtek-rtl88xxau-dkms package, and I have no issues of any kind thereafter).


The hereby documented crash occurred between 18:52:30 and 18:52:59 (I can't tell exactly, but all logs stop at 18:52:30). I rebooted at 21:51:00, and I am enclosing extracts from, from /var/log/:, (stamped from any recorded event occurring right prior to 18:52, to the time of reboot 21:51)
- daemon.log
- debug
- kern.log
- messages
- syslog
- user.log
As well as screen captures:
- rtl88xxau-dkms-install, showing proper install of last version of the package
- boot screenshot after crash showing after the necessary hard reboot.
- 2 screenshots with modules related to rtl8812u info

As a sanity-check, I tried and got exactly the same behavior with a fresh install of Kali 2017.1.

I hope this helps. Obviously, this is academically very interesting, but definitely not urgent in any way (besides, AWUS036NHA is still doing a great job!).

Thank you in advance to anyone who's willing to look into this matter :).

~0007142

kimocoder (reporter)

Please file an issue report on this problem @ https://github.com/aircrack-ng/rtl8812au and I will personally take a look at it when I'm home, but also so other people may see it issue & discuss it/resolve it.

~0007143

kimocoder (reporter)

which kernel do you run btw?

~0007279

kimocoder (reporter)

This issue has been RESOLVED after driver got updated to v5.1.5.

Read full report here:
https://github.com/aircrack-ng/rtl8812au/issues/6

This issue may be closed
+Notes

-Issue History
Date Modified Username Field Change
2017-08-18 14:53 axldmg New Issue
2017-08-18 14:53 axldmg File Added: Screen Shot 2017-08-18 at 16.44.58.png
2017-08-23 07:52 axldmg Note Added: 0007087
2017-08-23 09:08 kimocoder Note Added: 0007088
2017-08-23 13:29 kimocoder Note Added: 0007089
2017-08-24 13:00 axldmg File Added: Screen Shot 2017-08-24 at 14.46.53.png
2017-08-24 13:00 axldmg Note Added: 0007106
2017-08-24 13:04 axldmg File Added: realtek_make_log.txt.gz
2017-08-24 13:04 axldmg Note Added: 0007107
2017-08-24 13:09 axldmg File Added: realtek_make_log.pdf
2017-08-24 13:09 axldmg Note Added: 0007108
2017-08-24 13:18 kimocoder Note Added: 0007109
2017-08-24 13:46 axldmg File Added: Github rtl8812au make fail.png
2017-08-24 13:46 axldmg Note Added: 0007110
2017-08-24 13:47 axldmg Note Added: 0007111
2017-08-24 14:29 kimocoder Note Added: 0007112
2017-08-24 14:56 kimocoder Note Added: 0007113
2017-08-24 15:08 axldmg Note Added: 0007115
2017-08-24 15:14 kimocoder Note Added: 0007116
2017-08-24 15:19 axldmg Note Added: 0007117
2017-08-25 12:53 axldmg File Added: daemonlog
2017-08-25 12:53 axldmg Note Added: 0007141
2017-08-25 12:53 axldmg File Added: debuglog
2017-08-25 12:54 axldmg File Added: kernlog
2017-08-25 12:55 axldmg File Added: messages
2017-08-25 12:56 axldmg File Added: syslog
2017-08-25 12:57 axldmg File Added: userlog
2017-08-25 12:59 axldmg File Added: rtl88xxau-dkms install.jpg
2017-08-25 13:00 axldmg File Added: Bootscreen after crash.png
2017-08-25 13:00 axldmg File Added: cfg80211 load.png
2017-08-25 13:01 kimocoder Note Added: 0007142
2017-08-25 13:03 kimocoder Note Added: 0007143
2017-09-08 08:47 sbrun Relationship added has duplicate 0004079
2017-09-10 11:19 kimocoder Note Added: 0007279
2017-09-10 11:29 rhertzog Assigned To => rhertzog
2017-09-10 11:29 rhertzog Status new => closed
2017-09-10 11:29 rhertzog Resolution open => fixed
2017-09-10 11:29 rhertzog Fixed in Version => 2017.2
+Issue History